<?php

namespace App\Controller\Component;

use Cake\Controller\Component;
use Cake\ORM\TableRegistry;

class ApplicationInfoComponent extends Component
{
	/** Return the Proyect Info **/
    public function Proyect($request)
    {
    	$ProyectInfoTable=TableRegistry::get("ProyectInfo");
    	if($request=='all')
    	{
    		$proyect=$ProyectInfoTable->find('all')->first();
    		$proyect=json_encode($proyect,JSON_PRETTY_PRINT);
    		return json_decode($proyect);
    	}
    	else
    	{
    		$proyect=$ProyectInfoTable->find('all')->select([$request])->first();
    		$proyect=json_encode($proyect,JSON_PRETTY_PRINT);
    		$proyect=json_decode($proyect);
    		return $proyect->$request;
    	}
    }
}